Subject: Re: directory listings
From: [email-masked] (Hilton Fernandes)

19 Mar 1998 07:24:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: Scott Mueller <[email-masked]>, [email-masked]
Cc: Hilton Fernandes <[email-masked]>

On 13 Mar 98 at 16:00,  Scott Mueller <[email-masked]> wrote:

> I can't believe how incredibly frustrating it has been to simply display
> a list of files in the current directory with a c program.  I wrote code
> using opendir and readdir in dirent.h that works perfect.  However, I
> can't have that extra .dll file.  So, before I knew about mingw32, I
> downloaded djgpp and lcc.  djgpp worked, but would only list files as
> 8.3 format.  Then, lcc didn't have dirent.h.  It had io.h, which
> contained findfirst and findnext.  That seems to work except it keeps
> crashing after running?!  So, now I try mingw32 and compile, but get
> errors of
> unresolved references resembling those in part 2.7 of the readme.  I
> can't fix that.
> 

Hello Scott!

If you want to use DJGPP under Win95, you can set the LFN var to Y in 
the file named djgpp.env, that holds the setup to DJGPP development system.  

Be warned that AFAIK a DJGPP pgm won't have this feature under Windows NT,
though, as the LFN (Long File Name) API isn't available there, since NT
doesn't offer the LFN API to its DOS boxes.  Someone in the DJGPP development 
group was trying to solve this, creating a service in the NT side that could be
accessed via a TSR in the DOS box side.  You can post to the djgpp newsgroup
(news://com.os.msdos.djgpp) to ask whether they've already done it, or check 
	http://www.dejavu.com

You can emulate opendir(), readdir() and closedir() with calls to 
FindFirstFile(), FindNextFile() and FindClose().  I've done this once, and 
if you want to i can try to find it in my bag of used tricks. :-)

Regards, 
++Hilton 
-------------------
Hilton Fernandes
email: [email-masked]
www:   http://www.lsi.usp.br/~hilton.html (inactive)
M. Sc. Student of Parallel Distributed Applications
at Escola Politecnica (Polytechnic School)
University of S. Paulo - Brazil
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".